var KEY_GUARDAR="KEY_GUARDAR";

var KEY_GUARDAR_REPETIR="KEY_GUARDAR_REPETIR";

var KEY_CANCELAR="KEY_CANCELAR";

var MODULO = "Cuestionarios";

var onLoad=true;





function onLoadPage() {	

	

	 cargarTerritoriosLauncher();

	 territorioChange();



	//Si volvemos desde el listado y a la ida hemos seleccionado provincia y/o municpio, los volvemos a poner

	if(document.forms["formFiltroAgentes"].elements["filtro(codProv)"].value!=""){

		document.forms["formFiltroAgentes"].elements["filtro(codProvincia)"].value=document.forms["formFiltroAgentes"].elements["filtro(codProv)"].value;

		cargarMunicipiosLauncher();

		if(document.forms["formFiltroAgentes"].elements["filtro(codMuni)"].value!=""){

			document.forms["formFiltroAgentes"].elements["filtro(codMunicipio)"].value=document.forms["formFiltroAgentes"].elements["filtro(codMuni)"].value;

		}

	}

	document.all["filtro(codProvincia)"].focus();	

	onLoad=false;

}





function ponAccion(key){

	document.forms["formFiltroAgentes"].accion.value=key;

	document.forms["formFiltroAgentes"].submit();

}



function submmitFormulario(key){

	document.forms["formFiltroAgentes"].submit();

}





function territorioChange(){	



	if(!onLoad)

		document.forms["formFiltroAgentes"].elements["filtro(codProv)"].value=document.forms["formFiltroAgentes"].elements["filtro(codProvincia)"].value;

	limpiarComboMunicipios();

	if(document.forms["formFiltroAgentes"].elements["filtro(codProvincia)"].value!="")

		cargarMunicipiosLauncher();		

}



function municipioChange(){	

	if(!onLoad)

		document.forms["formFiltroAgentes"].elements["filtro(codMuni)"].value=document.forms["formFiltroAgentes"].elements["filtro(codMunicipio)"].value;

}



function limpiarComboMunicipios(){

	if(!onLoad)

		document.forms["formFiltroAgentes"].elements["filtro(codMuni)"].value="";

	document.all["filtro(codMunicipio)"].options.length=0;

	addOption(document.forms["formFiltroAgentes"].elements["filtro(codMunicipio)"],"",0);

}



function cargarTerritoriosLauncher(){

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PROVINCIA","id","ds_o", "filtro(codProvincia)", whereTerritorio, "false", true, "ds_o", "ASC");

}



function cargarMunicipiosLauncher(){

	where = "PROVINCIA_ID = " + document.forms["formFiltroAgentes"].elements["filtro(codProvincia)"].value;

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "filtro(codMunicipio)", where, "false", true, "ds_o", "ASC");

}



